%global udevdir %(pkg-config --variable=udevdir udev)

Name:		linuxconsoletools
Version:	1.8.1
Release:	%mkrel 3
Summary:	Tools for connecting joysticks & legacy devices to the kernel's input subsystem
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://sourceforge.net/projects/linuxconsole/
Source:		https://downloads.sourceforge.net/linuxconsole/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(sdl2)
BuildRequires:  systemd pkgconfig(libudev)
Obsoletes:	input-utils < %{version}
Provides:	input-utils = %{version}

%description
This package contains utilities for testing and configuring joysticks,
connecting legacy devices to the kernel's input subsystem (providing support
for serial mice, touchscreens etc.), and test the input event layer.

%prep
%setup -q

%build
%set_build_flags
%make_build PREFIX=%{_prefix}

# moving helper scripts from /usr/share/joystick to /usr/libexec/joystick
sed -i "s|%{_datadir}/joystick|%{_libexecdir}/joystick|g" utils/jscal-restore utils/jscal-store

%install
%make_install PREFIX=%{_prefix}

# moving helper scripts from /usr/share/joystick to /usr/libexec/joystick
install -d -m 0755 %{buildroot}%{_libexecdir}/joystick
mv -f %{buildroot}%{_datadir}/joystick/* %{buildroot}%{_libexecdir}/joystick/

# fixing udev dir
mv -f %{buildroot}/lib %{buildroot}/usr/

# fixing man permissions
chmod -x %{buildroot}%{_mandir}/man1/*

%files
%doc README NEWS
%license COPYING
%{_bindir}/*
%{_libexecdir}/joystick/*
%{_mandir}/man1/*
%{udevdir}/js-set-enum-leds
%{_udevrulesdir}/80-stelladaptor-joystick.rules


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.8.1-3.mga10
+ Revision: 2215220
- Mageia 10 Mass Rebuild

* Fri Sep 23 2022 wally <wally> 1.8.1-2.mga9
+ Revision: 1891736
- properly fix helper script paths in jscal-(re)store (mga#30879)
- build using our compiler flags

* Fri Jun 03 2022 luigiwalser <luigiwalser> 1.8.1-1.mga9
+ Revision: 1861131
- 1.8.1

* Fri Apr 01 2022 umeabot <umeabot> 1.7.0-3.mga9
+ Revision: 1838783
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Mon Feb 17 2020 umeabot <umeabot> 1.7.0-2.mga8
+ Revision: 1537249
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 tv <tv> 1.7.0-1.mga8
+ Revision: 1456266
- new release

* Fri Oct 04 2019 tv <tv> 1.6.1-1.mga8
+ Revision: 1449183
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.6.0-2.mga7
+ Revision: 1299312
- Mageia 7 Mass Rebuild

* Wed Apr 26 2017 akien <akien> 1.6.0-1.mga6
+ Revision: 1097419
- Version 1.6.0

* Mon Jan 25 2016 akien <akien> 1.4.9-1.mga6
+ Revision: 927562
- Version 1.4.9

* Sun Jun 21 2015 tv <tv> 1.4.8-1.mga6
+ Revision: 837990
- adjust file list
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.4.7-5.mga5
+ Revision: 746897
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 1.4.7-4.mga5
+ Revision: 725104
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.7-3.mga5
+ Revision: 681951
- Mageia 5 Mass Rebuild

* Sat Mar 08 2014 tv <tv> 1.4.7-2.mga5
+ Revision: 601260
- obsoletes input-utils

* Sat Mar 08 2014 tv <tv> 1.4.7-1.mga5
+ Revision: 601252
- imported package linuxconsoletools


* Sat Mar 08 2014 Thierry Vignaud <tv@mageia.org> 1.4.7-1.mga5
- initial package
